Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

docs: prepare script instead of postinstall #890

Merged
merged 1 commit into from Mar 1, 2021
Merged

Conversation

@typicode
Copy link
Owner

@typicode typicode commented Mar 1, 2021

Many thanks to @nathansmith #884 for suggesting this improvement.

@typicode typicode merged commit 84be675 into main Mar 1, 2021
6 of 8 checks passed
@typicode typicode deleted the use-prepare-script branch Mar 1, 2021
infotexture added a commit to dita-ot/docs that referenced this issue Mar 2, 2021
https://typicode.github.io/husky/#/?id=migrate-from-v4-to-v5

Additional changes:

- Use prepare script instead of postinstall:
  typicode/husky#890
- Remove old package.json > husky field
- Add `lint-staged` to package scripts & prefix `pre-commit` with npx
  typicode/husky#866 (comment)

Signed-off-by: Roger Sheen <roger@infotexture.net>
infotexture added a commit to dita-ot/website that referenced this issue Mar 4, 2021
https://typicode.github.io/husky/#/?id=migrate-from-v4-to-v5

Additional changes:

- Use prepare script instead of postinstall:
  typicode/husky#890
- Remove old package.json > husky field
- Add `lint-staged` to package scripts & prefix `pre-commit` with npx
  typicode/husky#866 (comment)

Signed-off-by: Roger Sheen <roger@infotexture.net>
damingerdai added a commit to damingerdai/angular that referenced this issue Apr 5, 2021
With typicode/husky#890, the recommended way to install husky is in the
`prepare` script instead of the `postinstall`. This commit moves
the husky installation to the `prepare` script to align with the new
recommendation.
damingerdai added a commit to damingerdai/angular that referenced this issue Apr 5, 2021
With typicode/husky#890, the recommended way to install husky is in the
`prepare` script instead of the `postinstall`. This commit moves
the husky installation to the `prepare` script to align with the new
recommendation.
damingerdai added a commit to damingerdai/components that referenced this issue Apr 6, 2021
With typicode/husky#890, the recommended way to install husky is in the
`prepare` script instead of the `postinstall`. This commit moves
the husky installation to the `prepare` script to align with the new
recommendation.
atscott added a commit to angular/angular that referenced this issue Apr 6, 2021
…1405)

With typicode/husky#890, the recommended way to install husky is in the
`prepare` script instead of the `postinstall`. This commit moves
the husky installation to the `prepare` script to align with the new
recommendation.

PR Close #41405
atscott added a commit to angular/angular that referenced this issue Apr 6, 2021
…1405)

With typicode/husky#890, the recommended way to install husky is in the
`prepare` script instead of the `postinstall`. This commit moves
the husky installation to the `prepare` script to align with the new
recommendation.

PR Close #41405
annieyw pushed a commit to angular/components that referenced this issue May 4, 2021
* build: update to husky@6

Upgrade husky from 5.2.0 to 6.0.0

* build: install husky in `prepare` script instead of `postinstall`

With typicode/husky#890, the recommended way to install husky is in the
`prepare` script instead of the `postinstall`. This commit moves
the husky installation to the `prepare` script to align with the new
recommendation.
annieyw added a commit to angular/components that referenced this issue May 4, 2021
* build: update to husky@6

Upgrade husky from 5.2.0 to 6.0.0

* build: install husky in `prepare` script instead of `postinstall`

With typicode/husky#890, the recommended way to install husky is in the
`prepare` script instead of the `postinstall`. This commit moves
the husky installation to the `prepare` script to align with the new
recommendation.

(cherry picked from commit f19aca6)
trik added a commit to trik/ajf that referenced this issue Jun 9, 2021
* build: update to husky@6

Upgrade husky from 5.2.0 to 6.0.0

* build: install husky in `prepare` script instead of `postinstall`

With typicode/husky#890, the recommended way to install husky is in the
`prepare` script instead of the `postinstall`. This commit moves
the husky installation to the `prepare` script to align with the new
recommendation.
trik added a commit to gnucoop/ajf that referenced this issue Jun 10, 2021
* build: update to husky@6

Upgrade husky from 5.2.0 to 6.0.0

* build: install husky in `prepare` script instead of `postinstall`

With typicode/husky#890, the recommended way to install husky is in the
`prepare` script instead of the `postinstall`. This commit moves
the husky installation to the `prepare` script to align with the new
recommendation.
trik added a commit to gnucoop/gngt that referenced this issue Jun 15, 2021
* build: update to husky@6

Upgrade husky from 5.2.0 to 6.0.0

* build: install husky in `prepare` script instead of `postinstall`

With typicode/husky#890, the recommended way to install husky is in the
`prepare` script instead of the `postinstall`. This commit moves
the husky installation to the `prepare` script to align with the new
recommendation.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

1 participant